oyFilterPlugs_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Public Member Functions | Data Fields
oyFilterPlugs_s Struct Reference
Conversion

A FilterPlugs list. More...

`#include <oyFilterPlugs_s.h>`

Inheritance diagram for oyFilterPlugs_s:
Collaboration diagram for oyFilterPlugs_s:

## Public Member Functions
OYAPI oyFilterPlugs_s *OYEXPORT | oyFilterPlugs_New (oyObject_s object)
| allocate a new FilterPlugs object More...
| oyFilterPlugs_Copy
| Copy or Reference a FilterPlugs object. More...
OYAPI int OYEXPORT | oyFilterPlugs_Release (oyFilterPlugs_s **filterplugs)
| release and possibly deallocate a oyFilterPlugs_s object More...
OYAPI int OYEXPORT | oyFilterPlugs_MoveIn (oyFilterPlugs_s *list, oyFilterPlug_s **obj, int pos)
| add an element to a FilterPlugs list More...
OYAPI int OYEXPORT | oyFilterPlugs_ReleaseAt (oyFilterPlugs_s *list, int pos)
| release a element from a FilterPlugs list More...
OYAPI oyFilterPlug_s *OYEXPORT | oyFilterPlugs_Get (oyFilterPlugs_s *list, int pos)
| get a element of a FilterPlugs list More...
OYAPI int OYEXPORT | oyFilterPlugs_Count (oyFilterPlugs_s *list)
| count the elements in a FilterPlugs list More...
OYAPI int OYEXPORT | oyFilterPlugs_Clear (oyFilterPlugs_s *list)
| clear the elements in a FilterPlugs list More...
OYAPI int OYEXPORT | oyFilterPlugs_Sort (oyFilterPlugs_s *list, int32_t *rank_list)
| sort a list according to a rank_list More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Data Fields
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Detailed Description

A FilterPlugs list.

Note
  This class holds a list of objects [list]

Version
  Oyranos: 0.1.8

Since
  2008/07/29 (Oyranos: 0.1.8)

Date
  2008/07/29

## Member Function Documentation

## ◆ oyFilterPlugs_Clear()

OYAPI int OYEXPORT oyFilterPlugs_Clear | ( | oyFilterPlugs_s * | list | ) |

clear the elements in a FilterPlugs list

Function oyFilterPlugs_Clear

Parameters

  [in,out] | list | the list

Returns
  0 - success; otherwise - error

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_FILTER_PLUGS_S, and oyStructList_s::oyStructList_Clear().

## ◆ oyFilterPlugs_Copy()

oyFilterPlugs_Copy

Copy or Reference a FilterPlugs object.

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | filterplugs | FilterPlugs struct object
  | object | NULL - means reference, the optional object triggers a real copy

Referenced by oyFilterSocket_s::oyFilterSocket_GetPlugs().

## ◆ oyFilterPlugs_Count()

OYAPI int OYEXPORT oyFilterPlugs_Count | ( | oyFilterPlugs_s * | list | ) |

count the elements in a FilterPlugs list

Function oyFilterPlugs_Count

Parameters

  [in,out] | list | the list

Returns
  element count

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_PLUGS_S, and oyStructList_s::oyStructList_Count().

Referenced by oyFilterGraph_s::oyFilterGraph_CountEdges().

## ◆ oyFilterPlugs_Get()

OYAPI oyFilterPlug_s *OYEXPORT oyFilterPlugs_Get | ( | oyFilterPlugs_s * | list,
|  | int | pos
| ) |  |

get a element of a FilterPlugs list

Function oyFilterPlugs_Get

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_PLUG_S, oyOBJECT_FILTER_PLUGS_S, and oyStructList_s::oyStructList_GetRefType().

Referenced by oyFilterGraph_s::oyFilterGraph_GetEdge(), and oyFilterNode_s::oyFilterNode_GetSocketNode().

## ◆ oyFilterPlugs_MoveIn()

OYAPI int OYEXPORT oyFilterPlugs_MoveIn | ( | oyFilterPlugs_s * | list,
|  | oyFilterPlug_s ** | obj,
|  | int | pos
| ) |  |

add an element to a FilterPlugs list

Function oyFilterPlugs_MoveIn

Parameters

  [in] | list | list
  [in,out] | obj | list element
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_PLUG_S, oyOBJECT_FILTER_PLUGS_S, oyStructList_s::oyStructList_Create(), oyStructList_s::oyStructList_MoveIn(), and oyFilterPlug_s::type_.

Referenced by oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket().

## ◆ oyFilterPlugs_New()

OYAPI oyFilterPlugs_s *OYEXPORT oyFilterPlugs_New | ( | oyObject_s | object | ) |

allocate a new FilterPlugs object

Function oyFilterPlugs_New

References oyOBJECT_OBJECT_S.

Referenced by oyFilterGraph_s::oyFilterGraph_SetFromNode(), and oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket().

## ◆ oyFilterPlugs_Release()

OYAPI int OYEXPORT oyFilterPlugs_Release | ( | oyFilterPlugs_s ** | filterplugs | ) |

release and possibly deallocate a oyFilterPlugs_s object

Function oyFilterPlugs_Release

Parameters

  [in,out] | filterplugs | FilterPlugs struct object

References oyOBJECT_FILTER_PLUGS_S.

Referenced by oyFilterGraph_s::oyFilterGraph_SetFromNode().

## ◆ oyFilterPlugs_ReleaseAt()

OYAPI int OYEXPORT oyFilterPlugs_ReleaseAt | ( | oyFilterPlugs_s * | list,
|  | int | pos
| ) |  |

release a element from a FilterPlugs list

Function oyFilterPlugs_ReleaseAt

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_PLUGS_S, oyStructList_s::oyStructList_GetParentObjType(), and oyStructList_s::oyStructList_ReleaseAt().

## ◆ oyFilterPlugs_Sort()

OYAPI int OYEXPORT oyFilterPlugs_Sort | ( | oyFilterPlugs_s * | list,
|  | int32_t * | rank_list
| ) |  |

sort a list according to a rank_list

Function oyFilterPlugs_Sort

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

## Field Documentation

## ◆ copy

oyStruct_Copy_f oyFilterPlugs_s::copy

Copy function.

## ◆ oy_

oyObject_s oyFilterPlugs_s::oy_

Oyranos internal object.

Features name and hash. Do not change during object life time.

## ◆ release

oyStruct_Release_f oyFilterPlugs_s::release

Release function.

## ◆ type_

const oyOBJECT_e oyFilterPlugs_s::type_

Type of object.

The struct type tells Oyranos how to interprete hidden fields.